CREATE OR REPLACE FORCE EDITIONABLE VIEW "AROPS"."BULK_DATA_V" ("SOURCE_NAME", "ID", "DATA_PRODUCER_TYPE", "END_TIME","START_TIME","MESSAGE","STATUS","ADVISOR_FEED","SOURCE_TYPE","ENTITY_TYPE","NAME","DESCRIPTION","CONFIGURATION") AS
SELECT 
    ds.name source_name,
    dp.id,
    dp.data_producer_type,
    dp.end_time,
    dp.start_time,
    CAST(dp.message AS NVARCHAR2(255)) message,
    dp.status,
    afeed.id advisor_feed,
    afeed.source_type,
    afeed.entity_type,
    afeed.name,
    afeed.description,
    TO_CHAR(afeed.configuration) configuration
   FROM data_production dp
     JOIN advisor_feed_curation afc ON afc.id = dp.id
     JOIN advisor_feed afeed ON afc.advisor_feed = afeed.id
     LEFT JOIN data_source ds ON ds.id = afeed.application
UNION
 SELECT
    ds.name source_name,
    dp.id,
    dp.data_producer_type,
    dp.end_time,
    dp.start_time,
    CAST(dp.message AS NVARCHAR2(255)) message,
    dp.status,
    afeed.id advisor_feed,
    afeed.source_type,
    afeed.entity_type,
    afeed.name,
    afeed.description,
    TO_CHAR(afeed.configuration) configuration
   FROM data_production dp
     JOIN advisor_feed_generation afg ON afg.id = dp.id
     JOIN advisor_feed afeed ON afg.advisor_feed = afeed.id
     LEFT JOIN data_source ds ON ds.id = afeed.application;