CREATE OR REPLACE VIEW bulk_data_v AS 
 SELECT ds.name AS source_name,
    dp.id,
    dp.data_producer_type,
    dp.end_time,
    dp.message,
    dp.start_time,
    dp.status,
    afeed.id AS advisor_feed,
    afeed.source_type,
    afeed.entity_type,
    afeed.name,
    afeed.description,
    afeed.configuration
   FROM data_production dp
     JOIN advisor_feed_curation afc ON afc.id = dp.id
     JOIN advisor_feed afeed ON afc.advisor_feed = afeed.id
     LEFT JOIN data_source ds ON ds.id = afeed.application
UNION
 SELECT ds.name AS source_name,
    dp.id,
    dp.data_producer_type,
    dp.end_time,
    dp.message,
    dp.start_time,
    dp.status,
    afeed.id AS advisor_feed,
    afeed.source_type,
    afeed.entity_type,
    afeed.name,
    afeed.description,
    afeed.configuration
   FROM data_production dp
     JOIN advisor_feed_generation afg ON afg.id = dp.id
     JOIN advisor_feed afeed ON afg.advisor_feed = afeed.id
     LEFT JOIN data_source ds ON ds.id = afeed.application;

ALTER TABLE bulk_data_v
  OWNER TO postgres;