-- View: user_perm_delta_v

-- DROP VIEW user_perm_delta_v;

CREATE OR REPLACE VIEW user_perm_delta_v AS 
 SELECT DISTINCT appl.qid AS appl_qid,
    ds.name AS appl_name,
    perm.unique_permission_id AS perm_qid,
    perm.name AS perm_name,
    usr.unique_user_id AS user_qid,
    usr.idm_dn AS user_dn,
    usr.last_name AS user_last_name,
    usr.first_name AS user_first_name,
    usr.idm_tree_name AS user_idm_tree_name,
    snap.id AS snap_id,
    snap."timestamp" AS snap_timestamp
   FROM application appl,
    spermission perm,
    suser usr,
    saccount acct,
    spermission pcoll,
    suser ucoll,
    saccount acoll,
    saccount_permission ap,
    saccount_user au,
    snapshot snap,
    snapshot_sversions ap_snap_sv,
    snapshot_sversions au_snap_sv,
    data_source ds
  WHERE perm.application = appl.id AND perm.collected_entity = pcoll.id AND ap.spermission = pcoll.id AND ap.saccount = acoll.id AND au.saccount = acoll.id AND acct.collected_entity = acoll.id AND au.suser = ucoll.id AND usr.collected_entity = ucoll.id AND ap_snap_sv.snapshot = snap.id AND ap_snap_sv.sversions = ap.sversion AND au_snap_sv.snapshot = snap.id AND au_snap_sv.sversions = au.sversion AND appl.id = ds.id;

ALTER TABLE user_perm_delta_v
  OWNER TO postgres;
