CREATE OR REPLACE VIEW sod_policy_all_v AS 
 SELECT sp.id AS policy_id,
    sp.deleted AS policy_status,
    change.display_name AS changed_by,
    creater.display_name AS created_by,
    sp.creation_time,
    sp.description AS policy_description,
    sp.detection_status,
    sp.name AS policy_name,
    sp.risk,
    sp.state,
    sp.unique_policy_id,
    sp.update_time,
    sp.control_period,
    sp.resolve,
    policy_owners.owners
   FROM sod_policy sp
     LEFT JOIN suser change ON change.unique_user_id::text = sp.changed_by::text AND change.deleted = false AND change.effective = true
     LEFT JOIN suser creater ON creater.unique_user_id::text = sp.created_by::text AND creater.deleted = false AND creater.effective = true
     LEFT JOIN ( SELECT policy_owners_v.sod_policy,
            string_agg(policy_owners_v.owner_name::text, ', '::text) AS owners
           FROM policy_owners_v
          GROUP BY policy_owners_v.sod_policy) policy_owners ON policy_owners.sod_policy = sp.id;